Subject: Re: [PATCH net] net: reset ct before calling ndo_start_xmit

From: Paolo Abeni <[email-masked]>
Date: Tue, 24 Jan 2017 16:04:09 +0100

On Tue, 2017-01-24 at 06:04 -0800, Eric Dumazet wrote:
> On Tue, 2017-01-24 at 10:40 +0100, Paolo Abeni wrote:
> 
> > Currently we use the NETIF_F_LLTX feature bit to identify such
> > devices,
> > since all the [legacy] phys drivers setting such bit are not prone
> > the hangup issue. The plan is adding a specific 'this is a
> > virtual device' priv flag and use it instead, in a later net-next
> > patch.
> 
> This is too ugly in my opinion.
> 
> LLTX is LLTX, and has absolutely nothing to do with connection
> tracking.
> 
> We have ndo_features_check, and this can be trivially backported to
> stable versions.
> 
> No need for yet another flag really.

Thank you for the feedback.

Double checking to see if I understood the above correctly: do you
suggest to call nf_reset() from the affected drivers's
ndo_features_check(), eventually adding such ndo if needed ?

I think calling nf_reset() in the common code should be better: the
conntrack entry is hot in the cache and we may want to clear it early
for as many devices as possible.

Thank you,

Paolo